## org.apache.hadoop.streaming.io
Class RawBytesInputWriter

    java.lang.Object
      org.apache.hadoop.streaming.io.InputWriter<Writable,Writable>
          org.apache.hadoop.streaming.io.RawBytesInputWriter

    public class RawBytesInputWriter

extends InputWriter<Writable,Writable>

InputWriter that writes the client's input as raw bytes.

Constructor Summary
`RawBytesInputWriter()`

Method Summary
`void` `initialize(PipeMapRed pipeMapRed)` Initializes the InputWriter.
`void` `writeKey(Writable key)` Writes an input key.
`void` `writeValue(Writable value)` Writes an input value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawBytesInputWriter

    public RawBytesInputWriter()

Method Detail

### initialize

    public void initialize(PipeMapRed pipeMapRed)
                    throws IOException

  Description copied from class: `InputWriter`
  Initializes the InputWriter. This method has to be called before calling any of the other methods.

  Overrides:
    `initialize` in class `InputWriter<Writable,Writable>`
  Throws:
    `IOException`

### writeKey

    public void writeKey(Writable key)
                  throws IOException

  Description copied from class: `InputWriter`
  Writes an input key.

  Specified by:
    `writeKey` in class `InputWriter<Writable,Writable>`
  Throws:
    `IOException`

### writeValue

    public void writeValue(Writable value)
                    throws IOException

  Description copied from class: `InputWriter`
  Writes an input value.

  Specified by:
    `writeValue` in class `InputWriter<Writable,Writable>`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation